---@meta

---@class UBP_VirtualKeyboardKeyUMG_C : UUserWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field VirtualKeyBtn UButton
---@field KeyCharacter UTextBlock
---@field CharacterString FString
---@field CharacterType E_VirtualKeyTypes::Type
---@field OwningWidget UBP_VirtualKeyboardUMG_C
---@field KeyWidth double
---@field KeyHeight double
---@field ButtonColor FLinearColor
---@field ButtonFocusedColor FLinearColor
---@field Font UObject
---@field CharacterOutlineSettings FFontOutlineSettings
---@field FontSize int32
---@field FontLetterSpacing int32
---@field SkewAmount float
---@field ButtonStyleSettings FButtonStyle
---@field DisplayString FString
---@field OnDonePressed FBP_VirtualKeyboardKeyUMG_COnDonePressed
---@field OnClicked FBP_VirtualKeyboardKeyUMG_COnClicked
local UBP_VirtualKeyboardKeyUMG_C = {}

function UBP_VirtualKeyboardKeyUMG_C:DeleteCharacter() end
function UBP_VirtualKeyboardKeyUMG_C:SetButtonBackgroundColor() end
---@param IsUppercased boolean
function UBP_VirtualKeyboardKeyUMG_C:ChangeCase(IsUppercased) end
function UBP_VirtualKeyboardKeyUMG_C:BndEvt__VirtualKey_VirtualKeyBtn_K2Node_ComponentBoundEvent_0_OnButtonClickedEvent__DelegateSignature() end
function UBP_VirtualKeyboardKeyUMG_C:Construct() end
---@param IsDesignTime boolean
function UBP_VirtualKeyboardKeyUMG_C:PreConstruct(IsDesignTime) end
---@param EntryPoint int32
function UBP_VirtualKeyboardKeyUMG_C:ExecuteUbergraph_BP_VirtualKeyboardKeyUMG(EntryPoint) end
---@param Button UBP_VirtualKeyboardKeyUMG_C
---@param NewString FText
function UBP_VirtualKeyboardKeyUMG_C:OnClicked__DelegateSignature(Button, NewString) end
function UBP_VirtualKeyboardKeyUMG_C:OnDonePressed__DelegateSignature() end


